@font-face {
  font-family: "Fira Sans";
  src: url("../fonts/FiraSans-Regular.woff2") format("woff2"),
    url("../fonts/FiraSans-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Fira Sans";
  src: url("../fonts/FiraSans-Bold.woff2") format("woff2"),
    url("../fonts/FiraSans-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
}

body {
  display: grid;
  width: 100%;
  max-width: 100%;
  font-family: "Fira Sans", "Sans";
  font-size: 16px;
  line-height: 1.5;
  background: whitesmoke;
  grid-template:
    "nav nav nav"
    "header header header"
    "main main main"
    "sponsors sponsors sponsors"
    "organizers organizers organizers"
    "footer footer footer";
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: bold;
}

button {
  cursor: pointer;
}

button:hover {
  opacity: 0.9;
}

nav {
  grid-area: nav;
  display: flex;
  align-items: center;
  color: black;
  background: whitesmoke;
  padding: 8px;
  min-height: 60px;
  box-shadow: 0px 1px 5px 2px rgba(0, 0, 0, 0.31);
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
}

table {
  margin: 0 auto;
  border-spacing: 0;
  border-radius: 10px;
  border: 2px solid whitesmoke;
}

table tr:last-child td:first-child {
  border-bottom-left-radius: 10px;
}
table tr:last-child td:last-child {
  border-bottom-right-radius: 10px;
}
table tr:first-child th:first-child {
  border-top-left-radius: 10px;
}
table tr:first-child th:last-child {
  border-top-right-radius: 10px;
}

tr th {
  border-bottom: 4px solid whitesmoke;
}

tr td {
  border-bottom: 2px solid whitesmoke;
}

table tr:last-child td {
  border-bottom: none;
}

th {
  background-color: whitesmoke;
}

th,
td {
  padding: 8px 16px;
}

td.right {
  text-align: right;
}

td.left {
  text-align: left;
}

td.center {
  text-align: center;
}

.strike-through {
  text-decoration: line-through;
  font-weight: initial;
}

.center {
  text-align: center;
}

.warning {
  background: #ffece5;
  color: #cc3300;
  border: 2px solid #cc3300;
}

.info {
  background: #dff2ff;
  text-align: center;
  color: #2196f3;
  border: 2px solid #2196f3;
}

.contact-committee {
  text-align: center;
  margin-left: 0px;
  margin-bottom: 0px;
}

.nav {
  max-height: 60px;
  height: auto;
  transition: 1sec all ease-out;
}

.nav > .nav-link {
  padding: 0;
  margin: 0 0.5em;
  padding: 8px 8px;
}

.nav > .nav-link:hover {
  background: white;
}

.flex-start {
  display: flex;
  justify-content: flex-start;
}

.flex-end {
  display: flex;
  justify-content: flex-end;
}

.expand {
  flex: 1;
}

.nav-link {
  white-space: nowrap;
  text-transform: uppercase;
  color: black;
  text-decoration: none;
  font-size: 0.8rem;
}

.brand {
  font-family: "Fira Sans";
  font-weight: bold;
  font-size: 1rem;
}

.banner {
  position: relative;
  height: 400px;
}

.banner-image {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-repeat: no-repeat;
  background-position: top;
  background-size: cover;
  z-index: 1;
}

.banner-text {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  width: 100%;
  height: 100%;
  padding: 12px;
  background: rgba(0, 0, 0, 0.4);
  z-index: 2;
  margin: 0;
}

.preliminary-program-tbl > tbody > tr > td{
  background: whitesmoke;
  border: solid white;
}

.preliminary-program-tbl > tbody > tr > td:first-child{
  width: 20%;
}

.preliminary-program-tbl-head {
  text-transform: uppercase;
  text-align: center;
}

.preliminary-program-tbl{
  width: 100%;
  border: none;
}

.accommodation-tbl > tbody > tr > td{
  background: whitesmoke;
  border: solid white;
}

.accommodation-tbl-head {
  text-transform: uppercase;
  text-align: center;
}

.accommodation-tbl{
  width: 100%;
  border: none;
}

main {
  grid-area: main;
  max-width: 1280px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  margin: 0 auto;
  flex-wrap: wrap;
}

header {
  grid-area: header;
  margin-top: 60px;
  color: white;
}

footer {
  grid-area: footer;
  border-top: 1px solid lightgrey;
  background: #4a4a49;
  font-size: 0.8rem;
  color: white;
  font-weight: bold;
  padding: 16px;
}

footer a {
  color: white;
}

#sponsors {
  grid-area: sponsors;
  margin: 16px auto;
  max-width: 1280px;
}

#sponsors .cards li {
  background: none;
  /*height: 150px;*/
  width: 300px;
}

#sponsors .cards a img {
  max-width: 100%;
  max-height: 100%;
}

#organizers {
  grid-area: organizers;
  margin: 16px auto;
  max-width: 1280px;
  background: none;
}

#organizers ul.cards {
  justify-content: space-between;
  flex-wrap: wrap;
}

#organizers .cards li {
  background: none;
  height: 200px;
  flex: 1;
}

#organizers .cards a {
  height: 100%;
  width: 15ex;
  min-width: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#organizers .cards a img {
  max-width: 100%;
  max-height: 100%;
}

.register {
  display: block;
  border: none;
  padding: 8px 32px;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
  background: #349beb;
  margin-left: auto;
  margin-right: auto;
}

.register a {
  color: #fff;
  text-decoration: none;
}

section {
  padding: 16px;
  background: white;
  margin: 16px 0;
  width: 100%;
}

section h2 {
  text-align: center;
  text-transform: uppercase;
}

section h3 {
  text-align: center;
  text-transform: uppercase;
  font-size: 1rem;
}

.mb {
  margin-bottom: 20px;
}

.fluid {
  width: 49%;
}

.flex {
  display: flex;
  align-items: center;
}

.flex1 {
  flex: 1;
}

.flex4 {
  flex: 4;
}

.session { 
  margin-bottom: .75em;
}

.session .title {
  /*
  font-size: 1.4rem;
  font-style: italic;
  */
  font-weight: bold;
}

.session .chairs {
  margin-bottom: .5em;
}

.session .header {
  margin-bottom: .75em;
}

.session .abstract {
  font-size: 1rem;
  margin-bottom: .5em;
}

.session .abstract ul {
  margin-top: 0;
  margin-bottom: 0;
}

.session .time {
  text-align: center;
}

.paper {
  /*margin-bottom: .35em;*/
  display: flex;
}

.paper > .time {
  flex: 1;
  text-align: center;
}

.paper > .meta {
  flex: 4;
  /*display: list-item;
  margin-left: 3em;*/
  padding: .5em .75em;
}

.paper:nth-child(2n) > .meta {
  /*background-color: #ccc;*/
}

.paper:nth-child(2n+1) > .meta {
  background-color: #eee;
}

.paper > .meta > .ptitle {
  /*font-size: 1.1rem;
  font-weight: bold;*/
}

.paper > .meta > .authors {
  font-style: italic;
}

ul.cards {
  display: flex;
  padding: 0;
  margin: 0;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  list-style-type: none;
}

ul.cards li {
  display: flex;
  justify-content: center;
  align-items: center;
  background: whitesmoke;
  padding: 16px;
  width: 200px;
  height: 60px;
  border-radius: 12px;
  margin: 8px;
  background: #ffe600;
  color: black;
  text-align: center;
}

ul.cards li a {
  color: black;
  text-decoration: none;
}

#menu-toggle + label {
  cursor: pointer;
  font-size: 1.2rem;
  font-weight: bold;
  height: 50px;
  width: 50px;
  line-height: 50px;
  text-align: center;
}

#menu-toggle + label:hover {
  background: white;
}

.mobile {
  display: none;
}

.important-date {
  display: flex;
  flex-direction: column;
  width: 300px !important;
  height: 100px !important;
  background: whitesmoke !important;
  border-radius: 12px;
  font-size: 0.9rem;
}

.important-date > .end::before {
  content: "";
}

.active {
  background: #ffe600 !important;
}

.footnote {
  font-size: 0.8rem;
}

.classic {
  display: none;
}

.modern {
  display: block;
  flex: 1;
}

.hide {
  display: none;
}

.keynote p {
  white-space: pre-line;
}

.keynote img {
  width: 200px;
  margin-right: 20px;
}

#stylesheet-toggle div {
  background: #ffe600;
}

.timezones {
  margin-top: 20px;
  border-top: 1px solid grey;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

.timezone {
  margin: 10px;
  padding: 5px;
}

.timezone.active {
  border-radius: 10%;
  background: none !important;
  font-weight: bolder;
}

.submission-grid {
  display: grid;
  margin-top: 32px;
  grid-gap: 32px 32px;
  grid-template:
    "cfp cfp"
    "dates dates"
    "guidelines topics"
    "guidelines format"
    "review review"
    "panels panels"
    "previous previous";
}

#pre-review-grid {
  display: grid;
  margin-top: 32px;
  grid-gap: 32px 32px;
  grid-template:
    "cfp cfp"
    "guidelines dates-pre"
    "guidelines format"
    "feedback feedback";
}

.submission-grid section:not(:last-child) {
  margin: 0;
}

.submission-grid section:last-child {
  margin-top: 0;
}

#submission-cfp {
  grid-area: cfp;
}

#submission-dates {
  grid-area: dates;
}

#submission-dates-prereview {
  grid-area: dates-pre;
}

#submission-feedback {
  grid-area: feedback;
}


/*#submission-pre-review {
  grid-area: pre-review;
}*/

#submission-guidelines {
  grid-area: guidelines;
}

#submission-format {
  grid-area: format;
}

#topics {
  grid-area: topics;
}

#submission-review {
  grid-area: review;
}

#submission-previous {
  grid-area: previous;
}

#submission-panels {
  grid-area: panels;
}


.nav-flag {
  height: .75rem;
  border-radius: 20%;
}

.todo {
    background-color: orange;
}

section#organizers ul.cards {
  padding: 0;
  margin: 0;
}

section#organizers ul.cards a {
  width: 100%;
}

@media (max-width: 1000px) {
  .submission-grid {
    display: block;
  }
  .submission-grid section {
    margin: 16px 0;
  }

  #pre-review-grid {
    display: block;
  }
  #pre-review-grid section {
    margin: 16px 0;
  }
  .session .time {
    text-align: left;
  }
  .fluid {
    width: 100%;
  }
  .flex {
    display: block;
  }
  #menu-toggle + label {
    display: block;
  }
  #menu-toggle:checked ~ .nav {
    display: flex;
    flex-direction: column;
    position: absolute;
    max-height: 800px;
    border-bottom: 2px solid lightgrey;
    width: 100%;
    top: 60px;
    text-align: center;
    background-color: whitesmoke;
    z-index: 98;
  }

  #menu-toggle:checked ~ .nav .nav-link {
    padding: 20px;
    border-top: 1px solid lightgrey;
  }

  .nav {
    display: none;
  }
  .mobile {
    display: block;
  }
  .no-mobile {
    display: none;
  }
}

#organizers .cards a img.organizerLogo {
  max-height: 70px;
}

#organizers .cards a img.localOrganizerLogo {
  max-height: 200px;
}